Skip to main content
DELETE
/
api
/
v1
/
llm
/
extract
/
schema
/
{schema_id}
Typescript (SDK)
import { SDK } from "@meetkai/mka1";

const sdk = new SDK({
  bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
});

async function run() {
  const result = await sdk.llm.extract.deleteSchema({
    schemaId: "schema_invoice_123",
  });

  console.log(result);
}

run();
{
  "success": true,
  "message": "Schema deleted successfully"
}

Authorizations

Authorization
string
header
required

Authenticate with your MKA1 API key at the API gateway: Authorization: Bearer <mka1-api-key>. For multi-user server-side integrations, also send X-On-Behalf-Of to identify the end user making the request.

Headers

X-On-Behalf-Of
string

Optional external user identifier for multi-user server-side integrations. Use this when acting on behalf of one of your end users.

Path Parameters

schema_id
string
required

The unique identifier of the extraction schema

Response

200 - application/json

OK

Response from deleting an extraction schema.

success
boolean
required

Indicates whether the schema deletion was successful

message
string
required

A confirmation message about the deletion